Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class HashedCircle.HashType

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.figures.HashedCircle.HashType

Enclosing class:
  HashedCircle

    public static final class HashedCircle.HashType

extends java.lang.Object

An enumeration describing the hash lines inside the circle.

Field Summary
`static HashedCircle.HashType` `BACKSLASH` Draws a '\' through the circle
`static HashedCircle.HashType` `X` Draws an 'X' through the circle

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X

    public static final HashedCircle.HashType X

  Draws an 'X' through the circle

### BACKSLASH

    public static final HashedCircle.HashType BACKSLASH

  Draws a '\' through the circle

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.